/***********************************************************************
  Fonctions Cookie - Deuxime dition (21-Jan-96)
  Par Bill Dortch, hIdaho Design <bdortch@netw.com>
  Les fonctions ci-aprs sont diffuses gratuitement et font partie du domaine public.

 Fonction "interne" destine  renvoyer la valeur dcode d'un cookie.
***********************************************************************/

function getCookieVal (offset) {
  var endstr = document.cookie.indexOf (";", offset);
  if (endstr == -1)
    endstr = document.cookie.length;
    return unescape(document.cookie.substring(offset, endstr));
}

//
//
//  Fonction destine  renvoyer la valeur du cookie correspondant  "name".
//
function getCookie (name) {
  var arg = name + "=";
  var alen = arg.length;
  var clen = document.cookie.length;
  var i = 0;
  while (i < clen)  {
     var j = i + alen;
     if (document.cookie.substring(i, j) == arg)
     return getCookieVal (j);
     i = document.cookie.indexOf(" ", i) + 1;
     if (i == 0) break; 
  }
  return null;
}

//
// Fonction destine  crer ou mettre  jour un cookie.
//    name (nom) - Objet string contenant le nom du cookie.
//    value (valeur) - Objet string contenant la valeur du cookie. Peut contenir n'importe quels caractres de chane valables.
//    [expires] (expiration) - Objet date contenant la date d'expiration du cookie. Si ce paramtre est omis ou a pour valeur null, il fait expirer le cookie  la fin de la session en cours.
//    [path] (chemin)- Objet chane contenant le chemin pour lequel le cookie est valable. S'il est omis ou a pour valeur null, il utilise le chemin du document duquel mane l'appel.
//    [domain] (domaine) - Objet string indiquant le domaine pour lequel le cookie est valable. S'il est omis ou a pour valeur null, il utilise le domaine duquel l'appel mane.
//    [secure] (protection) - Valeur boulenne (true/false) indiquant si la transmission du cookie ncessite un canal protg (HTTPS).
//
// Les deux premiers paramtres sont ncessaires. Les autres doivent, lorsqu'ils sont communiqus, figurer dans l'ordre de la liste ci-dessus. Pour omettre un champ facultatif non utilis, utilisez null comme valeur de substitution. 
//  Pour appeler setCookie en utilisant le nom, la valeur et le chemin, vous pouvez utiliser la structure :
//
//     setCookie ("nomDeMonCookie", "valeurDeMonCookie", null, "/");
//
//  Les paramtres omis situs  la fin ne ncessitent pas de valeur de substitution.
//
//  Pour paramtrer un cookie secure (protection) pour le chemin "/monChemin", qui expire au terme de la session en cours, vous pouvez utiliser la structure :
//
//      setCookie (VarMonCookie, VarValeurDeMonCookie, null, "/monChemin", null, true);
//
function setCookie (name, value) {
  var argv = setCookie.arguments;
  var argc = setCookie.arguments.length;
  var expires = (argc > 2) ? argv[2] : null;
  var path = (argc > 3) ? argv[3] : null;
  var domain = (argc > 4) ? argv[4] : null;
  var secure = (argc > 5) ? argv[5] : false;
  document.cookie = name + "=" + escape (value) +
    ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
    ((path == null) ? "" : ("; path=" + path)) +
    ((domain == null) ? "" : ("; domain=" + domain)) +
    ((secure == true) ? "; secure" : "");
}
//
// Fonction destine  supprimer un cookie 
// (paramtre la date d'expiration sur la date/l'heure en cours).

function DeleteCookie(name)
{
  var exp = new Date();
  exp.setTime (exp.getTime() - 1);  // Ce cookie est un cookie d'historique
  var cval = getCookie (name);
  document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();
}

function paramCookie()
{
    var nom_medecin = getCookie('nom_medecin');
   	if ((nom_medecin == null) || (nom_medecin == ""))
	{
	    document.write('<a href="../htm/saisie.htm" target="_self">saisissant vos coordonn&eacute;es</a><BR>');
	}
	else
	{
        document.write('<a href="../htm/modif.htm" target="_self">modifiant vos coordonn&eacute;es</a><BR>');
	}
}

function lclparamCookie()
{
    var nom_medecin = getCookie('nom_medecin');
   	if ((nom_medecin == null) || (nom_medecin == ""))
	{
	    document.write('<a href="../htm/lclsaisi.htm" target="_self">saisissant vos coordonn&eacute;es</a><BR>');
	}
	else
	{
        document.write('<a href="../htm/lclmodif.htm" target="_self">modifiant vos coordonn&eacute;es</a><BR>');
	}
}

function CoordonneesMedecin()
{

    var v = getCookie('nom_medecin');
	
   	if ((v != null) && (v != ""))
	{
	document.write('Docteur '+ v + '<BR>');
    v = getCookie("adresse1");
	if ((v != null) && (v != "")) document.write(v + '<BR>');
	v = getCookie("adresse2");
	if ((v != null) && (v != "")) document.write(v+'<BR>');
	v1 = getCookie("cp");
	if (v1 == "")  v1 = null;
	if (v1 != null) document.write(v1+' ');
	v2 = getCookie("ville");
	if (v2 != null)  document.write(v2);
	if ((v1 != null) || (v2 != null)) document.write('<BR>');
	v = getCookie("telephone");
	if ((v != null) && (v != ""))  document.write('Tel : ' + v +'<BR>');
	document.write('<hr size="1" width="100%" color="Black">');
	}
}
