/*************************************************/
/* 	Analyse une Chaine saisie 
	Renvoie TRUE si elle a un format Date correct
	False sinon

	BlueGYN 15/11/2000			 
*/
/*************************************************/
function isDate( S )
{
var D = new Date( S );
return  ( !isNaN( D ) );
}

/*************************************************/
/* 	Recoit une Chaine date en Paramtre
	Analyse si la Date est valide
	Et demande une correction jusqu' ce que la 
	Date soit valable
	Si la Saisie est annule la valeur null est retourne
	SYNTAXE
	form.saisie.value = dateVALID ( form.saisie.value );
*/
/*************************************************/
function dateVALID( S )
{
var NOW = new Date();
var D = new Date( S );

while(isNaN(D)){
  S = prompt("Entrez une date valide\n" + 
	"Respectez le Format des Dates j/m/aaaa, p.e :" + DtoS(NOW),S);
  var D = new Date( S );
};

if (S == null) { 
  alert("A N N U L E!");
  return null;
  } else 
  return DtoS( StoD( (S)));		
}

/*************************************************/
/* 	Convertit une Date UTC Tue Mar 3 UTC 2000
	En chaine Date 03/03/2000
*/
/*************************************************/
function DtoS( D ) 
{
if (D == null) return null;
with (D) {
	var j = getDate();	
	var m = getMonth()+1;
	var a = getFullYear();
} /* end WITH */
j = (j<10) ? "0"+j : j;
m = (m<10) ? "0"+m : m;
return j + "/" + m + "/" + a;
}

/*************************************************/
/*	Convertit une Chaine JJ/MM/AA en date valide UTC
*/
/*************************************************/
function StoD( S ) 
{
  var splitD = new Array();
  splitD = S.split("/");
  var j = splitD[0];
  var m = splitD[1];
  var a = splitD[2];
  var D = new Date(a,m-1,j);
return D;
}

/***********************************************************************
	BUILD DATE JOUR MOIS ANNEE		BlueGYN Novembre 2000

 	Cette Fonction Construit une Date au Format EUROPEEN
	jour semaine Jour/Mois/Anne 
	A partir des 3 composantes de la Date en paramtre
	Elle Permet le calcul d'chances, par exemple
	buidDate(j , m+9, a );
	Permet de calculer la Date de l'accouchement.
*************************************************************************/
function buildDate(JJ, MM, AA)
{
var nomJour = new Array("Dim","Lun","Mar","Mer","Jeu","Ven","Sam"); 
var D 	= new Date( AA, MM, JJ); 
var js 	= nomJour[D.getDay()];		// Jour de la Semaine
var j 	= D.getDate();			// Jour du Mois
	j = (j<10)?"0"+j:j; 
var m	= D.getMonth()+1;		// Mois de l'anne
	m = (m<10)?"0"+m:m;
var a 	= D.getFullYear();		// Anne en 4 Chiffres
var S 	= js + " " + j + "/" + m + "/" + a;
return S;
}

/*************************************************/
/*************************************************/
function age( S ) 
{
var NOW = new Date();
with (NOW) {
	var J2 = getDate();
	var M2 = getMonth();
	var A2 = getFullYear();
}

var D = StoD ( S );
with (D) {
	var J1 = getDate();
	var M1 = getMonth();
	var A1 = getFullYear();
}

var D = new Date(A2-A1, M2-M1, J2-J1);
with (D) {
	var m = getMonth();
	var a = getYear();
}
var A = (a==0) ? "" : (a + " ans ");
var M = (m==0) ? "" : (m + " mois");
return A+M;
}
